CREATE TABLE ap_invoices_all (
    INVOICE_ID                       NUMBER(18, 0) ,
    LAST_UPDATE_DATE                 TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY                  VARCHAR2(256)     NOT NULL,
    VENDOR_ID                        NUMBER(18, 0) ,
    INVOICE_NUM                      VARCHAR2(200)     NOT NULL,
    SET_OF_BOOKS_ID                  NUMBER(18, 0)     NOT NULL,
    INVOICE_CURRENCY_CODE            VARCHAR2(60)      NOT NULL,
    PAYMENT_CURRENCY_CODE            VARCHAR2(60)      NOT NULL,
    PAYMENT_CROSS_RATE               NUMBER            NOT NULL,
    INVOICE_AMOUNT                   NUMBER        ,
    VENDOR_SITE_ID                   NUMBER(18, 0) ,
    AMOUNT_PAID                      NUMBER        ,
    DISCOUNT_AMOUNT_TAKEN            NUMBER        ,
    INVOICE_DATE                     DATE          ,
    SOURCE                           VARCHAR2(100) ,
    INVOICE_TYPE_LOOKUP_CODE         VARCHAR2(100) ,
    DESCRIPTION                      VARCHAR2(960) ,
    BATCH_ID                         NUMBER(18, 0) ,
    AMOUNT_APPLICABLE_TO_DISCOUNT    NUMBER        ,
    TERMS_ID                         NUMBER(18, 0) ,
    TERMS_DATE                       DATE          ,
    PAYMENT_METHOD_LOOKUP_CODE       VARCHAR2(100) ,
    PAY_GROUP_LOOKUP_CODE            VARCHAR2(100) ,
    ACCTS_PAY_CODE_COMBINATION_ID    NUMBER(18, 0) ,
    PAYMENT_STATUS_FLAG              VARCHAR2(4)   ,
    CREATION_DATE                    TIMESTAMP(6)      NOT NULL,
    CREATED_BY                       VARCHAR2(256)     NOT NULL,
    BASE_AMOUNT                      NUMBER        ,
    LAST_UPDATE_LOGIN                VARCHAR2(128) ,
    EXCLUSIVE_PAYMENT_FLAG           VARCHAR2(4)   ,
    PO_HEADER_ID                     NUMBER(18, 0) ,
    FREIGHT_AMOUNT                   NUMBER        ,
    GOODS_RECEIVED_DATE              DATE          ,
    INVOICE_RECEIVED_DATE            DATE          ,
    VOUCHER_NUM                      VARCHAR2(200) ,
    APPROVED_AMOUNT                  NUMBER        ,
    RECURRING_PAYMENT_ID             NUMBER(18, 0) ,
    EARLIEST_SETTLEMENT_DATE         DATE          ,
    DOC_SEQUENCE_ID                  NUMBER        ,
    DOC_SEQUENCE_VALUE               NUMBER        ,
    DOC_CATEGORY_CODE                VARCHAR2(120) ,
    ATTRIBUTE1                       VARCHAR2(600) ,
    ATTRIBUTE2                       VARCHAR2(600) ,
    ATTRIBUTE3                       VARCHAR2(600) ,
    ATTRIBUTE4                       VARCHAR2(600) ,
    ATTRIBUTE5                       VARCHAR2(600) ,
    ATTRIBUTE6                       VARCHAR2(600) ,
    ATTRIBUTE7                       VARCHAR2(600) ,
    ATTRIBUTE8                       VARCHAR2(600) ,
    ATTRIBUTE9                       VARCHAR2(600) ,
    ATTRIBUTE10                      VARCHAR2(600) ,
    ATTRIBUTE11                      VARCHAR2(600) ,
    ATTRIBUTE12                      VARCHAR2(600) ,
    ATTRIBUTE13                      VARCHAR2(600) ,
    ATTRIBUTE14                      VARCHAR2(600) ,
    ATTRIBUTE15                      VARCHAR2(4000),
    ATTRIBUTE_CATEGORY               VARCHAR2(600) ,
    APPROVAL_STATUS                  VARCHAR2(100) ,
    APPROVAL_DESCRIPTION             VARCHAR2(960) ,
    POSTING_STATUS                   VARCHAR2(60)  ,
    CANCELLED_DATE                   DATE          ,
    CANCELLED_BY                     VARCHAR2(256) ,
    CANCELLED_AMOUNT                 NUMBER        ,
    TEMP_CANCELLED_AMOUNT            NUMBER        ,
    USSGL_TRANSACTION_CODE           VARCHAR2(120) ,
    USSGL_TRX_CODE_CONTEXT           VARCHAR2(120) ,
    PROJECT_ID                       NUMBER(18, 0) ,
    TASK_ID                          NUMBER(18, 0) ,
    EXPENDITURE_TYPE                 VARCHAR2(120) ,
    EXPENDITURE_ITEM_DATE            DATE          ,
    PA_QUANTITY                      NUMBER        ,
    EXPENDITURE_ORGANIZATION_ID      NUMBER(18, 0) ,
    PA_DEFAULT_DIST_CCID             NUMBER(18, 0) ,
    PAYMENT_AMOUNT_TOTAL             NUMBER        ,
    AWT_FLAG                         VARCHAR2(4)   ,
    AWT_GROUP_ID                     NUMBER(18, 0) ,
    REFERENCE_1                      VARCHAR2(120) ,
    REFERENCE_2                      VARCHAR2(120) ,
    ORG_ID                           NUMBER(18, 0)     NOT NULL,
    PRE_WITHHOLDING_AMOUNT           NUMBER        ,
    GLOBAL_ATTRIBUTE_CATEGORY        VARCHAR2(600) ,
    GLOBAL_ATTRIBUTE1                VARCHAR2(600) ,
    GLOBAL_ATTRIBUTE2                VARCHAR2(600) ,
    GLOBAL_ATTRIBUTE3                VARCHAR2(600) ,
    GLOBAL_ATTRIBUTE4                VARCHAR2(600) ,
    GLOBAL_ATTRIBUTE5                VARCHAR2(600) ,
    GLOBAL_ATTRIBUTE6                VARCHAR2(600) ,
    GLOBAL_ATTRIBUTE7                VARCHAR2(600) ,
    GLOBAL_ATTRIBUTE8                VARCHAR2(600) ,
    GLOBAL_ATTRIBUTE9                VARCHAR2(600) ,
    GLOBAL_ATTRIBUTE10               VARCHAR2(600) ,
    GLOBAL_ATTRIBUTE11               VARCHAR2(600) ,
    GLOBAL_ATTRIBUTE12               VARCHAR2(600) ,
    GLOBAL_ATTRIBUTE13               VARCHAR2(600) ,
    GLOBAL_ATTRIBUTE14               VARCHAR2(600) ,
    GLOBAL_ATTRIBUTE15               VARCHAR2(600) ,
    GLOBAL_ATTRIBUTE16               VARCHAR2(600) ,
    GLOBAL_ATTRIBUTE17               VARCHAR2(600) ,
    GLOBAL_ATTRIBUTE18               VARCHAR2(600) ,
    GLOBAL_ATTRIBUTE19               VARCHAR2(600) ,
    GLOBAL_ATTRIBUTE20               VARCHAR2(600) ,
    GLOBAL_ATTRIBUTE_NUMBER1         NUMBER        ,
    GLOBAL_ATTRIBUTE_NUMBER2         NUMBER        ,
    GLOBAL_ATTRIBUTE_NUMBER3         NUMBER        ,
    GLOBAL_ATTRIBUTE_NUMBER4         NUMBER        ,
    GLOBAL_ATTRIBUTE_NUMBER5         NUMBER        ,
    ATTRIBUTE_NUMBER1                NUMBER        ,
    ATTRIBUTE_NUMBER2                NUMBER        ,
    ATTRIBUTE_NUMBER3                NUMBER        ,
    ATTRIBUTE_NUMBER4                NUMBER        ,
    ATTRIBUTE_NUMBER5                NUMBER        ,
    GLOBAL_ATTRIBUTE_DATE1           DATE          ,
    GLOBAL_ATTRIBUTE_DATE2           DATE          ,
    GLOBAL_ATTRIBUTE_DATE3           DATE          ,
    GLOBAL_ATTRIBUTE_DATE4           DATE          ,
    GLOBAL_ATTRIBUTE_DATE5           DATE          ,
    ATTRIBUTE_DATE1                  DATE          ,
    ATTRIBUTE_DATE2                  DATE          ,
    ATTRIBUTE_DATE3                  DATE          ,
    ATTRIBUTE_DATE4                  DATE          ,
    ATTRIBUTE_DATE5                  DATE          ,
    PAYMENT_CROSS_RATE_TYPE          VARCHAR2(120) ,
    PAYMENT_CROSS_RATE_DATE          DATE          ,
    PAY_CURR_INVOICE_AMOUNT          NUMBER        ,
    MRC_BASE_AMOUNT                  VARCHAR2(4000),
    MRC_EXCHANGE_RATE                VARCHAR2(4000),
    MRC_EXCHANGE_RATE_TYPE           VARCHAR2(4000),
    MRC_EXCHANGE_DATE                VARCHAR2(4000),
    MRC_POSTING_STATUS               VARCHAR2(4000),
    GL_DATE                          DATE              NOT NULL,
    AWARD_ID                         NUMBER(18, 0) ,
    PAID_ON_BEHALF_EMPLOYEE_ID       NUMBER(18, 0) ,
    AMT_DUE_CCARD_COMPANY            NUMBER        ,
    AMT_DUE_EMPLOYEE                 NUMBER        ,
    APPROVAL_READY_FLAG              VARCHAR2(4)       NOT NULL,
    APPROVAL_ITERATION               NUMBER(9, 0)  ,
    WFAPPROVAL_STATUS                VARCHAR2(200)     NOT NULL,
    REQUESTER_ID                     NUMBER(18, 0) ,
    VALIDATION_REQUEST_ID            NUMBER(18, 0) ,
    VALIDATED_TAX_AMOUNT             NUMBER        ,
    QUICK_CREDIT                     VARCHAR2(4)   ,
    CREDITED_INVOICE_ID              NUMBER(18, 0) ,
    DISTRIBUTION_SET_ID              NUMBER(18, 0) ,
    APPLICATION_ID                   NUMBER(18, 0) ,
    PRODUCT_TABLE                    VARCHAR2(120) ,
    REFERENCE_KEY1                   VARCHAR2(4000),
    REFERENCE_KEY2                   VARCHAR2(600) ,
    REFERENCE_KEY3                   VARCHAR2(600) ,
    REFERENCE_KEY4                   VARCHAR2(600) ,
    REFERENCE_KEY5                   VARCHAR2(600) ,
    TOTAL_TAX_AMOUNT                 NUMBER        ,
    SELF_ASSESSED_TAX_AMOUNT         NUMBER        ,
    TAX_RELATED_INVOICE_ID           NUMBER(18, 0) ,
    TRX_BUSINESS_CATEGORY            VARCHAR2(960) ,
    USER_DEFINED_FISC_CLASS          VARCHAR2(960) ,
    TAXATION_COUNTRY                 VARCHAR2(120) ,
    DOCUMENT_SUB_TYPE                VARCHAR2(960) ,
    SUPPLIER_TAX_INVOICE_NUMBER      VARCHAR2(600) ,
    SUPPLIER_TAX_INVOICE_DATE        DATE          ,
    SUPPLIER_TAX_EXCHANGE_RATE       NUMBER        ,
    TAX_INVOICE_RECORDING_DATE       DATE          ,
    TAX_INVOICE_INTERNAL_SEQ         VARCHAR2(600) ,
    LEGAL_ENTITY_ID                  NUMBER(18, 0) ,
    HISTORICAL_FLAG                  VARCHAR2(4)   ,
    FORCE_REVALIDATION_FLAG          VARCHAR2(4)   ,
    BANK_CHARGE_BEARER               VARCHAR2(120) ,
    REMITTANCE_MESSAGE1              VARCHAR2(600) ,
    REMITTANCE_MESSAGE2              VARCHAR2(600) ,
    REMITTANCE_MESSAGE3              VARCHAR2(600) ,
    UNIQUE_REMITTANCE_IDENTIFIER     VARCHAR2(1024),
    URI_CHECK_DIGIT                  VARCHAR2(8)   ,
    SETTLEMENT_PRIORITY              VARCHAR2(120) ,
    PAYMENT_REASON_CODE              VARCHAR2(120) ,
    PAYMENT_REASON_COMMENTS          VARCHAR2(960) ,
    PAYMENT_METHOD_CODE              VARCHAR2(120) ,
    DELIVERY_CHANNEL_CODE            VARCHAR2(120) ,
    QUICK_PO_HEADER_ID               NUMBER(18, 0) ,
    NET_OF_RETAINAGE_FLAG            VARCHAR2(4)   ,
    RELEASE_AMOUNT_NET_OF_TAX        NUMBER        ,
    CONTROL_AMOUNT                   NUMBER        ,
    PARTY_ID                         NUMBER(18, 0) ,
    PARTY_SITE_ID                    NUMBER(18, 0) ,
    PAY_PROC_TRXN_TYPE_CODE          VARCHAR2(120) ,
    PAYMENT_FUNCTION                 VARCHAR2(120) ,
    CUST_REGISTRATION_CODE           VARCHAR2(200) ,
    CUST_REGISTRATION_NUMBER         VARCHAR2(120) ,
    PORT_OF_ENTRY_CODE               VARCHAR2(120) ,
    EXTERNAL_BANK_ACCOUNT_ID         NUMBER(18, 0) ,
    VENDOR_CONTACT_ID                NUMBER(18, 0) ,
    INTERNAL_CONTACT_EMAIL           VARCHAR2(4000),
    DISC_IS_INV_LESS_TAX_FLAG        VARCHAR2(4)   ,
    EXCLUDE_FREIGHT_FROM_DISCOUNT    VARCHAR2(4)   ,
    OBJECT_VERSION_NUMBER            NUMBER(9, 0)      NOT NULL,
    EXCHANGE_RATE_TYPE               VARCHAR2(120) ,
    EXCHANGE_RATE                    NUMBER        ,
    EXCHANGE_DATE                    DATE          ,
    EMPLOYEE_ADDRESS_CODE            VARCHAR2(60)  ,
    INTERCOMPANY_FLAG                VARCHAR2(4)   ,
    IMPORT_DOCUMENT_NUMBER           VARCHAR2(200) ,
    IMPORT_DOCUMENT_DATE             DATE          ,
    CORRECTION_YEAR                  NUMBER(4, 0)  ,
    CORRECTION_PERIOD                VARCHAR2(8)   ,
    CHECK_VAT_AMOUNT_PAID            VARCHAR2(4)   ,
    REQUEST_ID                       NUMBER(18, 0) ,
    JOB_DEFINITION_NAME              VARCHAR2(400) ,
    JOB_DEFINITION_PACKAGE           VARCHAR2(3600),
    TRANSACTION_DEADLINE             NUMBER        ,
    MERGE_REQUEST_ID                 NUMBER        ,
    BUDGET_DATE                      DATE          ,
    DATA_SET_ID                      NUMBER        ,
    FUNDS_STATUS                     VARCHAR2(120) ,
    FIRST_PARTY_REGISTRATION_ID      NUMBER(18, 0) ,
    THIRD_PARTY_REGISTRATION_ID      NUMBER(18, 0) ,
    ROUTING_ATTRIBUTE1               VARCHAR2(1080),
    ROUTING_ATTRIBUTE2               VARCHAR2(1080),
    ROUTING_ATTRIBUTE3               VARCHAR2(1080),
    ROUTING_ATTRIBUTE4               VARCHAR2(1080),
    ROUTING_ATTRIBUTE5               VARCHAR2(1080),
    IMAGE_DOCUMENT_NUM               VARCHAR2(200) ,
    FISCAL_DOC_ACCESS_KEY            VARCHAR2(200) ,
    REMIT_TO_SUPPLIER_NAME           VARCHAR2(960) ,
    REMIT_TO_SUPPLIER_ID             NUMBER(18, 0) ,
    REMIT_TO_ADDRESS_NAME            VARCHAR2(960) ,
    REMIT_TO_ADDRESS_ID              NUMBER(18, 0) ,
    RELATIONSHIP_ID                  NUMBER(18, 0) ,
    PO_MATCHED_FLAG                  VARCHAR2(4)   ,
    VALIDATION_WORKER_ID             NUMBER(18, 0) ,
    LOCKED_BY                        VARCHAR2(256) ,
    LOCK_TIME                        TIMESTAMP(6)  ,
    ROUTING_STATUS_LOOKUP_CODE       VARCHAR2(120) ,
    ACC_REFERENCE_VALUE1             VARCHAR2(4000),
    ADDITIONAL_NOTE                  VARCHAR2(4000),
    FINANCING_STATUS_CODE            VARCHAR2(120) ,
    FINANCING_STATUS_DATE            DATE          ,
    DIGITAL_PAYMENT_ACCOUNT_ID       NUMBER(18, 0) ,
    LOGICAL_DOCUMENT_ID              NUMBER(18, 0) ,
    STREAM_DETAIL_ID                 NUMBER(18, 0) ,
    STREAM_DEFINITION_CODE           VARCHAR2(120) ,
    INVOICE_ID                       NUMBER(18, 0) ,
    LAST_UPDATE_DATE                 TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY                  VARCHAR2(256)     NOT NULL,
    VENDOR_ID                        NUMBER(18, 0) ,
    INVOICE_NUM                      VARCHAR2(200)     NOT NULL,
    SET_OF_BOOKS_ID                  NUMBER(18, 0)     NOT NULL,
    INVOICE_CURRENCY_CODE            VARCHAR2(60)      NOT NULL,
    PAYMENT_CURRENCY_CODE            VARCHAR2(60)      NOT NULL,
    PAYMENT_CROSS_RATE               NUMBER            NOT NULL,
    INVOICE_AMOUNT                   NUMBER        ,
    VENDOR_SITE_ID                   NUMBER(18, 0) ,
    AMOUNT_PAID                      NUMBER        ,
    DISCOUNT_AMOUNT_TAKEN            NUMBER        ,
    INVOICE_DATE                     DATE          ,
    SOURCE                           VARCHAR2(100) ,
    INVOICE_TYPE_LOOKUP_CODE         VARCHAR2(100) ,
    DESCRIPTION                      VARCHAR2(960) ,
    BATCH_ID                         NUMBER(18, 0) ,
    AMOUNT_APPLICABLE_TO_DISCOUNT    NUMBER        ,
    TERMS_ID                         NUMBER(18, 0) ,
    TERMS_DATE                       DATE          ,
    PAYMENT_METHOD_LOOKUP_CODE       VARCHAR2(100) ,
    PAY_GROUP_LOOKUP_CODE            VARCHAR2(100) ,
    ACCTS_PAY_CODE_COMBINATION_ID    NUMBER(18, 0) ,
    PAYMENT_STATUS_FLAG              VARCHAR2(4)   ,
    CREATION_DATE                    TIMESTAMP(6)      NOT NULL,
    CREATED_BY                       VARCHAR2(256)     NOT NULL,
    BASE_AMOUNT                      NUMBER        ,
    LAST_UPDATE_LOGIN                VARCHAR2(128) ,
    EXCLUSIVE_PAYMENT_FLAG           VARCHAR2(4)   ,
    PO_HEADER_ID                     NUMBER(18, 0) ,
    FREIGHT_AMOUNT                   NUMBER        ,
    GOODS_RECEIVED_DATE              DATE          ,
    INVOICE_RECEIVED_DATE            DATE          ,
    VOUCHER_NUM                      VARCHAR2(200) ,
    APPROVED_AMOUNT                  NUMBER        ,
    RECURRING_PAYMENT_ID             NUMBER(18, 0) ,
    EARLIEST_SETTLEMENT_DATE         DATE          ,
    DOC_SEQUENCE_ID                  NUMBER        ,
    DOC_SEQUENCE_VALUE               NUMBER        ,
    DOC_CATEGORY_CODE                VARCHAR2(120) ,
    ATTRIBUTE1                       VARCHAR2(600) ,
    ATTRIBUTE2                       VARCHAR2(600) ,
    ATTRIBUTE3                       VARCHAR2(600) ,
    ATTRIBUTE4                       VARCHAR2(600) ,
    ATTRIBUTE5                       VARCHAR2(600) ,
    ATTRIBUTE6                       VARCHAR2(600) ,
    ATTRIBUTE7                       VARCHAR2(600) ,
    ATTRIBUTE8                       VARCHAR2(600) ,
    ATTRIBUTE9                       VARCHAR2(600) ,
    ATTRIBUTE10                      VARCHAR2(600) ,
    ATTRIBUTE11                      VARCHAR2(600) ,
    ATTRIBUTE12                      VARCHAR2(600) ,
    ATTRIBUTE13                      VARCHAR2(600) ,
    ATTRIBUTE14                      VARCHAR2(600) ,
    ATTRIBUTE15                      VARCHAR2(4000),
    ATTRIBUTE_CATEGORY               VARCHAR2(600) ,
    APPROVAL_STATUS                  VARCHAR2(100) ,
    APPROVAL_DESCRIPTION             VARCHAR2(960) ,
    POSTING_STATUS                   VARCHAR2(60)  ,
    CANCELLED_DATE                   DATE          ,
    CANCELLED_BY                     VARCHAR2(256) ,
    CANCELLED_AMOUNT                 NUMBER        ,
    TEMP_CANCELLED_AMOUNT            NUMBER        ,
    USSGL_TRANSACTION_CODE           VARCHAR2(120) ,
    USSGL_TRX_CODE_CONTEXT           VARCHAR2(120) ,
    PROJECT_ID                       NUMBER(18, 0) ,
    TASK_ID                          NUMBER(18, 0) ,
    EXPENDITURE_TYPE                 VARCHAR2(120) ,
    EXPENDITURE_ITEM_DATE            DATE          ,
    PA_QUANTITY                      NUMBER        ,
    EXPENDITURE_ORGANIZATION_ID      NUMBER(18, 0) ,
    PA_DEFAULT_DIST_CCID             NUMBER(18, 0) ,
    PAYMENT_AMOUNT_TOTAL             NUMBER        ,
    AWT_FLAG                         VARCHAR2(4)   ,
    AWT_GROUP_ID                     NUMBER(18, 0) ,
    REFERENCE_1                      VARCHAR2(120) ,
    REFERENCE_2                      VARCHAR2(120) ,
    ORG_ID                           NUMBER(18, 0)     NOT NULL,
    PRE_WITHHOLDING_AMOUNT           NUMBER        ,
    GLOBAL_ATTRIBUTE_CATEGORY        VARCHAR2(600) ,
    GLOBAL_ATTRIBUTE1                VARCHAR2(600) ,
    GLOBAL_ATTRIBUTE2                VARCHAR2(600) ,
    GLOBAL_ATTRIBUTE3                VARCHAR2(600) ,
    GLOBAL_ATTRIBUTE4                VARCHAR2(600) ,
    GLOBAL_ATTRIBUTE5                VARCHAR2(600) ,
    GLOBAL_ATTRIBUTE6                VARCHAR2(600) ,
    GLOBAL_ATTRIBUTE7                VARCHAR2(600) ,
    GLOBAL_ATTRIBUTE8                VARCHAR2(600) ,
    GLOBAL_ATTRIBUTE9                VARCHAR2(600) ,
    GLOBAL_ATTRIBUTE10               VARCHAR2(600) ,
    GLOBAL_ATTRIBUTE11               VARCHAR2(600) ,
    GLOBAL_ATTRIBUTE12               VARCHAR2(600) ,
    GLOBAL_ATTRIBUTE13               VARCHAR2(600) ,
    GLOBAL_ATTRIBUTE14               VARCHAR2(600) ,
    GLOBAL_ATTRIBUTE15               VARCHAR2(600) ,
    GLOBAL_ATTRIBUTE16               VARCHAR2(600) ,
    GLOBAL_ATTRIBUTE17               VARCHAR2(600) ,
    GLOBAL_ATTRIBUTE18               VARCHAR2(600) ,
    GLOBAL_ATTRIBUTE19               VARCHAR2(600) ,
    GLOBAL_ATTRIBUTE20               VARCHAR2(600) ,
    GLOBAL_ATTRIBUTE_NUMBER1         NUMBER        ,
    GLOBAL_ATTRIBUTE_NUMBER2         NUMBER        ,
    GLOBAL_ATTRIBUTE_NUMBER3         NUMBER        ,
    GLOBAL_ATTRIBUTE_NUMBER4         NUMBER        ,
    GLOBAL_ATTRIBUTE_NUMBER5         NUMBER        ,
    ATTRIBUTE_NUMBER1                NUMBER        ,
    ATTRIBUTE_NUMBER2                NUMBER        ,
    ATTRIBUTE_NUMBER3                NUMBER        ,
    ATTRIBUTE_NUMBER4                NUMBER        ,
    ATTRIBUTE_NUMBER5                NUMBER        ,
    GLOBAL_ATTRIBUTE_DATE1           DATE          ,
    GLOBAL_ATTRIBUTE_DATE2           DATE          ,
    GLOBAL_ATTRIBUTE_DATE3           DATE          ,
    GLOBAL_ATTRIBUTE_DATE4           DATE          ,
    GLOBAL_ATTRIBUTE_DATE5           DATE          ,
    ATTRIBUTE_DATE1                  DATE          ,
    ATTRIBUTE_DATE2                  DATE          ,
    ATTRIBUTE_DATE3                  DATE          ,
    ATTRIBUTE_DATE4                  DATE          ,
    ATTRIBUTE_DATE5                  DATE          ,
    PAYMENT_CROSS_RATE_TYPE          VARCHAR2(120) ,
    PAYMENT_CROSS_RATE_DATE          DATE          ,
    PAY_CURR_INVOICE_AMOUNT          NUMBER        ,
    MRC_BASE_AMOUNT                  VARCHAR2(4000),
    MRC_EXCHANGE_RATE                VARCHAR2(4000),
    MRC_EXCHANGE_RATE_TYPE           VARCHAR2(4000),
    MRC_EXCHANGE_DATE                VARCHAR2(4000),
    MRC_POSTING_STATUS               VARCHAR2(4000),
    GL_DATE                          DATE              NOT NULL,
    AWARD_ID                         NUMBER(18, 0) ,
    PAID_ON_BEHALF_EMPLOYEE_ID       NUMBER(18, 0) ,
    AMT_DUE_CCARD_COMPANY            NUMBER        ,
    AMT_DUE_EMPLOYEE                 NUMBER        ,
    APPROVAL_READY_FLAG              VARCHAR2(4)       NOT NULL,
    APPROVAL_ITERATION               NUMBER(9, 0)  ,
    WFAPPROVAL_STATUS                VARCHAR2(200)     NOT NULL,
    REQUESTER_ID                     NUMBER(18, 0) ,
    VALIDATION_REQUEST_ID            NUMBER(18, 0) ,
    VALIDATED_TAX_AMOUNT             NUMBER        ,
    QUICK_CREDIT                     VARCHAR2(4)   ,
    CREDITED_INVOICE_ID              NUMBER(18, 0) ,
    DISTRIBUTION_SET_ID              NUMBER(18, 0) ,
    APPLICATION_ID                   NUMBER(18, 0) ,
    PRODUCT_TABLE                    VARCHAR2(120) ,
    REFERENCE_KEY1                   VARCHAR2(4000),
    REFERENCE_KEY2                   VARCHAR2(600) ,
    REFERENCE_KEY3                   VARCHAR2(600) ,
    REFERENCE_KEY4                   VARCHAR2(600) ,
    REFERENCE_KEY5                   VARCHAR2(600) ,
    TOTAL_TAX_AMOUNT                 NUMBER        ,
    SELF_ASSESSED_TAX_AMOUNT         NUMBER        ,
    TAX_RELATED_INVOICE_ID           NUMBER(18, 0) ,
    TRX_BUSINESS_CATEGORY            VARCHAR2(960) ,
    USER_DEFINED_FISC_CLASS          VARCHAR2(960) ,
    TAXATION_COUNTRY                 VARCHAR2(120) ,
    DOCUMENT_SUB_TYPE                VARCHAR2(960) ,
    SUPPLIER_TAX_INVOICE_NUMBER      VARCHAR2(600) ,
    SUPPLIER_TAX_INVOICE_DATE        DATE          ,
    SUPPLIER_TAX_EXCHANGE_RATE       NUMBER        ,
    TAX_INVOICE_RECORDING_DATE       DATE          ,
    TAX_INVOICE_INTERNAL_SEQ         VARCHAR2(600) ,
    LEGAL_ENTITY_ID                  NUMBER(18, 0) ,
    HISTORICAL_FLAG                  VARCHAR2(4)   ,
    FORCE_REVALIDATION_FLAG          VARCHAR2(4)   ,
    BANK_CHARGE_BEARER               VARCHAR2(120) ,
    REMITTANCE_MESSAGE1              VARCHAR2(600) ,
    REMITTANCE_MESSAGE2              VARCHAR2(600) ,
    REMITTANCE_MESSAGE3              VARCHAR2(600) ,
    UNIQUE_REMITTANCE_IDENTIFIER     VARCHAR2(1024),
    URI_CHECK_DIGIT                  VARCHAR2(8)   ,
    SETTLEMENT_PRIORITY              VARCHAR2(120) ,
    PAYMENT_REASON_CODE              VARCHAR2(120) ,
    PAYMENT_REASON_COMMENTS          VARCHAR2(960) ,
    PAYMENT_METHOD_CODE              VARCHAR2(120) ,
    DELIVERY_CHANNEL_CODE            VARCHAR2(120) ,
    QUICK_PO_HEADER_ID               NUMBER(18, 0) ,
    NET_OF_RETAINAGE_FLAG            VARCHAR2(4)   ,
    RELEASE_AMOUNT_NET_OF_TAX        NUMBER        ,
    CONTROL_AMOUNT                   NUMBER        ,
    PARTY_ID                         NUMBER(18, 0) ,
    PARTY_SITE_ID                    NUMBER(18, 0) ,
    PAY_PROC_TRXN_TYPE_CODE          VARCHAR2(120) ,
    PAYMENT_FUNCTION                 VARCHAR2(120) ,
    CUST_REGISTRATION_CODE           VARCHAR2(200) ,
    CUST_REGISTRATION_NUMBER         VARCHAR2(120) ,
    PORT_OF_ENTRY_CODE               VARCHAR2(120) ,
    EXTERNAL_BANK_ACCOUNT_ID         NUMBER(18, 0) ,
    VENDOR_CONTACT_ID                NUMBER(18, 0) ,
    INTERNAL_CONTACT_EMAIL           VARCHAR2(4000),
    DISC_IS_INV_LESS_TAX_FLAG        VARCHAR2(4)   ,
    EXCLUDE_FREIGHT_FROM_DISCOUNT    VARCHAR2(4)   ,
    OBJECT_VERSION_NUMBER            NUMBER(9, 0)      NOT NULL,
    EXCHANGE_RATE_TYPE               VARCHAR2(120) ,
    EXCHANGE_RATE                    NUMBER        ,
    EXCHANGE_DATE                    DATE          ,
    EMPLOYEE_ADDRESS_CODE            VARCHAR2(60)  ,
    INTERCOMPANY_FLAG                VARCHAR2(4)   ,
    IMPORT_DOCUMENT_NUMBER           VARCHAR2(200) ,
    IMPORT_DOCUMENT_DATE             DATE          ,
    CORRECTION_YEAR                  NUMBER(4, 0)  ,
    CORRECTION_PERIOD                VARCHAR2(8)   ,
    CHECK_VAT_AMOUNT_PAID            VARCHAR2(4)   ,
    REQUEST_ID                       NUMBER(18, 0) ,
    JOB_DEFINITION_NAME              VARCHAR2(400) ,
    JOB_DEFINITION_PACKAGE           VARCHAR2(3600),
    TRANSACTION_DEADLINE             NUMBER        ,
    MERGE_REQUEST_ID                 NUMBER        ,
    ROUTING_ATTRIBUTE1               VARCHAR2(1080),
    ROUTING_ATTRIBUTE2               VARCHAR2(1080),
    ROUTING_ATTRIBUTE3               VARCHAR2(1080),
    ROUTING_ATTRIBUTE4               VARCHAR2(1080),
    ROUTING_ATTRIBUTE5               VARCHAR2(1080),
    IMAGE_DOCUMENT_NUM               VARCHAR2(200) ,
    BUDGET_DATE                      DATE          ,
    DATA_SET_ID                      NUMBER        ,
    FUNDS_STATUS                     VARCHAR2(120) ,
    FIRST_PARTY_REGISTRATION_ID      NUMBER(18, 0) ,
    THIRD_PARTY_REGISTRATION_ID      NUMBER(18, 0) ,
    FISCAL_DOC_ACCESS_KEY            VARCHAR2(200) ,
    REMIT_TO_SUPPLIER_NAME           VARCHAR2(960) ,
    REMIT_TO_SUPPLIER_ID             NUMBER(18, 0) ,
    REMIT_TO_ADDRESS_NAME            VARCHAR2(960) ,
    REMIT_TO_ADDRESS_ID              NUMBER(18, 0) ,
    RELATIONSHIP_ID                  NUMBER(18, 0) ,
    LOCKED_BY                        VARCHAR2(256) ,
    LOCK_TIME                        TIMESTAMP(6)  ,
    PO_MATCHED_FLAG                  VARCHAR2(4)   ,
    VALIDATION_WORKER_ID             NUMBER(18, 0) ,
    ROUTING_STATUS_LOOKUP_CODE       VARCHAR2(120) ,
    ACC_REFERENCE_VALUE1             VARCHAR2(4000),
    ADDITIONAL_NOTE                  VARCHAR2(4000),
    FINANCING_STATUS_CODE            VARCHAR2(120) ,
    FINANCING_STATUS_DATE            DATE          ,
    DIGITAL_PAYMENT_ACCOUNT_ID       NUMBER(18, 0) ,
    LOGICAL_DOCUMENT_ID              NUMBER(18, 0) ,
    STREAM_DETAIL_ID                 NUMBER(18, 0) ,
    STREAM_DEFINITION_CODE           VARCHAR2(120) ,
    CONSTRAINT pk_ap_invoices_all PRIMARY KEY (INVOICE_ID, INVOICE_ID)
);
